
from design_instrument import *

print """

This is a design for a simple reed pipe with C4 as the lowest note.

Since a reed behaves like a closed end, we use m = 0.5

German recorder fingering is used. The final hole is a thumb hole.
Cross fingerings may not work, however.

"""

# Hole sizes
small = 4
large = 6

design_instrument(
    base_note = 'C4',
    base_m = 0.5,
    outer_diameter_mm = 10,
    inner_diameter_mm = 8,
    hole_spec = [
        ('D4', 0.5, small, []),
        ('E4', 0.5, large, [0]),
        ('F4', 0.5, small, [0, 0]),
        ('G4', 0.5, large, [0, 0, 0]),
        ('A4', 0.5, large, [0, 0, 0, 0]),
        ('B4', 0.5, large, [0, 0, 0, 0, 0]),
        ('C5', 0.5, small, [0, 0, 0, 0, 0, 1]),        # Recorder style fingering of C
        ('D5', 0.5, large, [0, 0, 0, 0, 0, 1, 0]),     # Recorder style fingering of D -- this is the thumb hole
    ]
)