
from design_instrument import *

print """

This is a design for a three-hole pipe, 
for use in a "pipe and tabor" combination.

The trick to this is that we don't use the lowest
register. Instead we use the 2nd, 3rd and 4th registers,
which are close enough together that we can play a full
F major scale with only three holes, the 3rd register being
an interval of a fifth above the 2nd, and the 4th
being an octave above.

You could use the head of a soprano or sopranino recorder
as the mouthpiece for this. The inner diameter of the tube
should match the inner diameter of the mouthpiece.

The third hole is the thumb hole.

"""

design_instrument(
    base_note = 'F5',
    base_m = 2,
    outer_diameter_mm = 12,
    inner_diameter_mm = 10,
    hole_spec = [
        ('G5',  2, 6, []),
        ('A5',  2, 6, [0]),
        ('Bb5', 2, 6, [0, 0]),
    ]
)